@echo off
rem
rem $Id: make_setup.bat 291 2011-05-20 19:51:03Z gingko $
rem Copyright (C) 2011 gingko - http://gingko.homeip.net/
rem
rem This file is part of Pouchin TV Mod, a free DVB-T viewer.
rem See http://www.pouchintv.fr/ for updates.

rem fetch_svn_version - gnrer les fichiers d'inclusion de version dans diffrents formats
rem
rem Syntaxe : make_setup.bat NsiScript ExePath DbgSfx
rem
rem          NsiScript   [in] - Script NSIS
rem          ExePath     [in] - Chemin de l'excutable en 32 bits
rem          DbgSfx      [in] - Suffixe de version spciale

rem Dterminer l'emplacement du rpertoire "Program Files" en 32 bits
set PF=%ProgramFiles(x86)%
if "%PF%"=="" set PF=%ProgramFiles%

rem Chemin de l'application MakeNSIS.exe
set MKNSIS=%PF%\NSIS\makensis.exe

rem Apparemment, makensis n'accepte les antislashes dans ses options qu' condition qu'ils soient doubls...
call:escape_as "%~2"

rem Appel de "makensis"
if not "%3"=="" goto:special
"%MKNSIS%" /DEXE_SRC_DIR="%EXE_SRC_DIR%" %1
goto:eof

:special
"%MKNSIS%" /DEXE_SRC_DIR="%EXE_SRC_DIR%" /DDEBUG_SFX=_%3 /DDSPDBG_SFX=" (%3)" %1
goto:eof


rem ============================================================================================
rem Sous-programme : Remplacer les anti-slashes par des antislashes doubles
rem ============================================================================================

rem (rsultat dans EXE_SRC_DIR)

:escape_as
echo %~1| ..\tools\CmdSubst.exe \ \\ -r ".+" -d "SET EXE_SRC_DIR=$0\n" > %TEMP%\exe_src_dir_$temp$.bat
call %TEMP%\exe_src_dir_$temp$.bat
del %TEMP%\exe_src_dir_$temp$.bat
