/*
 * $Id: trayicon.h 243 2010-03-17 08:36:42Z gingko $
 * Copyright (C) 2007 gingko - http://gingko.homeip.net/
 *
 * This file is part of Pouchin TV Mod, a free DVB-T viewer.
 * See http://www.pouchintv.fr/ for updates.
 *
 * Pouchin TV Mod is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * Pouchin TV Mod is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
 *
 *
 * Most files of this project have been changed from the Pouchin TV
 * project (Copyright (C) 2006 Pouchin <pouchinteve@free.fr>),
 * to use with a modified version of this software.
 * See http://pouchinteve.free.fr/ for the original project.
 */

/** \file
 *	\brief Dfinitions lies  l'icne de la zone de notification
 *
 *	Ce fichier dfinit la classe \p MyNOTIFYICONDATA, qui contient les
 *	fonctionnalits ncessaires  la gnration de l'icne qui s'affiche
 *	dans la zone de nofification (zone improprement nomme tray).
 **/

#pragma once

#include <shellapi.h>

class MyNOTIFYICONDATA : private NOTIFYICONDATA
{
	bool alreadyset;

	bool notify(DWORD dwMessage);
	void set_tip();
	void set_icon();
public:
	void enable();
	void disable();
	void update_icon();
	void update_tip();
	void update_state();
	MyNOTIFYICONDATA();
};

extern MyNOTIFYICONDATA niData;
